
                     ************************
                     *                      *
                     *      INDEX MAKER     *
                     *                      *
                     ************************

                           for IBM PC's
                        and PC-compatibles
                     compiled under MS-DOS 3.1


             (C) Copyright 1986 by Gregory C. Flothe
                       All Rights Reserved

                IBM PC is a registered trademark of
               International Business Machines Corp.
             MS-DOS is a trademark of Microsoft Corp.
      WordStar is a trademark of MicroPro International Corp.
                   ----------------------------


               INSTRUCTIONS FOR USING CONCORD.COM
              A Concordance and Word List Generator

INTRODUCTION

  The program CONCORD is designed for the generation of word
lists from ASCII text files, which in turn may be used to
create an index of the parent text, a glossary, or any other
special list of terms.

  CONCORD will tabulate up to 1500 words, from 3 to 20 characters
each, and will list the number of times each word appears in the
text. The resultant word list is alphabetized, and output to a
file named CONCORD.DMP, which will be written to the currently
logged drive.

  CONCORD will ignore words of less than 3 letters, and any words
with embedded spaces, hyphens, or numbers. Thus compound words,
such as Post Office, will appear as:

                     Office
                      ...
                     Post

in the word lists generated by the concordance-maker. It is
up to the author or editor to re-connect all compounds after
they are sorted if an index is to be used later. Similarly,
in the case of hyphenated words, such as 'pre-eminence',
they will appear as:

                     eminence
                     ...
                     ...
                     pre

with other words separating the two components. To make an
accurate index or glossary, re-connect those words which
have been separated during the concording process. Words
including numbers, like 'Route 66' or 'Uranium-238' will
appear as:

                     Route
                     ...
                     ...
                     Uranium

  Use your text editor to add the numbers back to their
respective terms if they are be included in an index.



HOW TO USE CONCORD

  In order to use CONCORD.COM, the disk containing the text
should be inserted into the logged drive, if the text is on a
flexible-disk. If the manuscript is on the hard disk, you will
probably find it most convenient to use the flexible-disk drive
for intermediate storage while making word lists and indexes
(see special instructions below).

  You may find that for large text files it is not unusual to
have a concordance file of 20 kilobytes in length. The user must
therefore ensure that enough room exists on the LOGGED disk (with
text and word list) for the concordance and word list files to be
fully written.

  CONCORD may stay on its own disk in another drive slot (if your
system has two), it may be copied onto the disk with the text
file, or it may reside on the hard-disk sub-system. We will cover
these separately.

Floppy-Disk users:
  If you have already loaded your ASCII format text file into
the logged drive (Drive A, for example), type the drive letter
where CONCORD.COM is stored, and a colon, and the program name:

                       B:CONCORD   (for text in Drive A)

Type 'CONCORD' (by itself) when CONCORD.COM is on the logged
drive with your text file. Remember to check remaining space on
the disk before using.

For Fixed or Hard Disk Drive users:
    Log in on the floppy drive you are going to use, and put a
formatted disk in it. This disk may or may not contain your text.
Assuming the hard disk is Drive C, and you have previously copied
CONCORD onto it, type:

                       C:CONCORD

this reads the program from the hard disk and begins execution.

Important Note:   *********************************************

  Those using the extensive multiple-path directory feature
available with MS-DOS and PC-DOS machines may have trouble
accessing files in another path or branch from that of the
program. No problems should be encountered if files and programs
are at root, or main directory level, or if in the same working
directory. CONCORD and INDEXER have both been used successfully
with the virtual disk feature (RAM-Disk) of MS-DOS 3.1, which
improves execution time and decreases head wear of disk drives.

  The use of CONCORD with other software 'tools' or multi-tasking,
multi-windowing programs may produce unpredictable results.
CONCORD uses much of the available user area (64K) memory, and
may not find the space it needs for the large array of words it
builds (~40K long). If you have trouble, try CONCORD with no other
programs installed.

***************************************************************


RUNNING CONCORD

  When the program begins, the screen will clear, and the
introduction will be displayed, which gives instructions for
those who copy the disk (other than the original purchaser or
owner). These same copying instructions are repeated at the end of
this manual. After the heading and copyright notice have appeared
on the screen, they will be replaced by the question:

    'File from which concordance is to be made:'

  Enter the name of the file for which you want to make the
concordance. If it resides on another drive, enter the drive
letter followed by a colon, the file name (B:TXTFILE.MSS for
example), then press RETURN.

  If the named file is present on disk, the file will be opened
for reading. The screen will then display the following question:

    'Is this a WordStar-type file (Y/N)?'

  If you are using WordStar or a similar type of text editor,
then answer with a 'Y' and depress RETURN. CONCORD will
automatically filter out the parity bit of each character,
which, at the end of each word, is set 'high' by WordStar in its
'word-wrap' mode during on-screen formatting.

  This option will eliminate any non-ASCII characters from your
manuscript, which may be displayed as graphics characters on the
screen, such as when reading the file with the DOS 'TYPE' command.
Failure to remove the parity bit from the character code results
in the dropping of letters from the end of words when CONCORD
reads them from the file.

  If your word processor does not use the parity bit for formatting,
then answer with an 'N' and a RETURN. The CONCORD program will not
have to filter the parity bit from each character, saving a little
time during execution.

  After CONCORD begins, each unique word will be output to the
screen as encountered. This will continue, gradually slowing as
the word list grows, until the text is read completely through.

  On very large files, this may take several minutes to
accomplish, because the word list is compared word-by-word
to the manuscript, counting every occurrence of each word.
CONCORD also filters out all non-alphabetic characters in
its scan through the manuscript.

  As the text is traversed the word list becomes increasingly
larger, with the newest word going to the end of the list.
When the last new word has been written to the screen, the
screen will prompt with:

     'Would you like the word list sorted alphabetically?'

  If you do not want the words sorted, type 'N'. Typing any
other letter will begin the sorting operation. After typing
'Y' and/or a carriage return, the computer will respond by
writing 'Sorting...' to the screen, then pause to sort the
words alphabetically, using the Shell-Metzner method.

  As each pass through the wordlist is completed, the number
of the pass is displayed in the lower left corner of the CRT
screen. Longer wordlists will take more passes to sort. When
the sorting is complete, the bell will ring, and the screen
will read:

   'Shall the concordance be written to disk (Y/N)?'

  If the response is a 'Y' and/or a carriage return, the
concordance, with the corresponding number of entries, will
be sent to disk and to the screen:

       About                 1
       air                   1
       and                  15
       answer                2
       ...
       your                  2
       youth                 1
       zone                  1

After CONCORD is done, it will output:

      'The file CONCORD.DMP has nnnn words in it.'

  The letters 'nnnn' represent the total number of unique
words contained in your text file. Next, the computer will
query:

 'Do you want a table of index words to be made as well (Y/N)?'

You may then enter 'Y', causing another file of index words to be
written to the logged drive, called WORDS.IDX. This file contains
all of the words from the concordance, without the number of
times of occurrence.

  WORDS.IDX is the file that must be used with the companion
program INDEXER.COM, which will determine the page (or pages) on
which the word may be found. Since the frequency of appearance of
the words is listed with the concordance in the file CONCORD.DMP,
it will not work with INDEXER, which searches for exact matches
of word list and text.

  The words of the concordance, without the frequency numbers,
will be output to the screen, and the disk drive. CONCORD
ends with the statement:

 'File WORDS.IDX contains the wordlist for this concordance'

 'Total words= nnnn'

 After which CONCORD will return control to the operating
system, (MS-DOS or PC-DOS). You may then use a text editor
to delete words which are unimportant, such as 'and, are,
the,' and so on from the word list file WORDS.IDX. The name
of the source file will be written as a banner at the
beginning and end of files CONCORD.DMP and WORDS.IDX for
later reference.

  Important notice: you must erase the banners which are
printed before and after the word list in WORDS.IDX before
using INDEXER. If you do not, the indexing program will
attempt to index the banner words and leading or trailing
carriage returns as if they were part of the word list
generated by CONCORD. The extra spaces or carriage returns
will appear as blank lines with page numbers if they are
left in the word list.

  If you are using WordStar to edit WORDS.IDX, you must
use the non-Document mode, so that the word list will
contain no non-ASCII characters. Otherwise, you can use
the companion program PARITY.COM to filter out any parity
bits which may be set high by WordStar in Document mode.

  REMEMBER that you must rename the CONCORD.DMP and
WORDS.IDX files if you plan to make more than one
concordance and word list on that disk. Otherwise, CONCORD
will overwrite those two files each time it is used.

   Now you are ready to start, so Happy Concording!


---------------------------------------------------------------------



         INSTRUCTIONS FOR USING INDEXER.COM
          An Index Generator for Text Files


INTRODUCTION

  The program INDEXER was designed to aid writers in
preparing a comprehensive index to their articles or
manuscripts. All it  requires is a list of words in an ASCII
text file, which may be created with the companion program
CONCORD.COM, or entered via a text editor.

  INDEXER reads the word list, and compares every word on
the list to the lines of your manuscript. It contains
provisions for multiple occurrences of any of the words on a
single page, or it will, at your option, ignore all
occurrences except the first on each page. This may be very
useful in preparing the text itself, because the writer can
see where and how often a certain word or term is used.

  The INDEXER program will accept up to a maximum of 1000
words, and will record up to 12 page numbers on which those
words occur. The user should of course select only the
important words of a text, which usually occur far less
times than the maximum count.

  The word list generated by the CONCORD program, called
WORDS.IDX, can be edited to make an index word list,
although any word list that follows the same form may be
substituted. The maximum word length is 20 characters or
letters, and each word must be followed by a carriage
return. Unlike the concordance generator, INDEXER will
search for numbers and other imbedded symbols (-, #, $, %,
etc.) IF they are part of the word list.

  Be aware that INDEXER will find ALL occurrences of a word
in a text file, including words imbedded in other words.
This is especially true with shorter words, so that the
3-letter conjunction 'and' will also be detected in the
following longer words:




                     androgynous
                     England
                     hands
                     mandate, etc.


  This is why your word list should be edited down to only
the essential terms necessary for an index. If you want to
ensure that embedded words are not indexed, add a space
before and after the stem word (i.e., '_and_'). This will
cause INDEXER to only detect the word when it is standing
alone.

  As INDEXER records only the location of words that are
found, the word list can contain many more terms than are
needed for a particular text, so that the same word list may
be used for all manuscripts dealing with similar topics. The
user may make an index for each article or paper from the
master word list, then utilize that entire list for a
glossary at the end.

  INDEXER will search very long text files, but is limited
in the number of words and entries by the amount of
user-area RAM memory available (64K), hence the 1000 word,
12 entry limit. It has been used successfully with text
files of more than 30K, which is about the maximum size that
can be handled by some text editors.

    For larger documents, the user may index each chapter of
a manuscript individually, then adjust the page numbers so
that they accord with the final pages of the book, or you
may concatenate smaller files into larger ones with the COPY
command, so that the page numbers will reflect their true
position in the manuscript.

  Pagination of the text is set to a default of 52 lines per
page, but it can be changed easily at the beginning of the
INDEXER program. The default value matches the number used
by some text editors. The maximum allowable is 60 lines per
page, which is about the limit of storage (60 lines x 80
characters/line) while preserving the 1000 words to be
indexed. The minimum value is 1, which is useful to the
writer who wishes to index the manuscript by lines instead
of pages. INDEXER allows page numbers up to 30000 in its
MS/PC-DOS version, which should handle virtually any text
or page length requirements.



HOW TO USE INDEXER

  To use INDEXER, the disk containing the text and word list
should be inserted into the logged flexible-disk drive. INDEXER
may be placed in another drive (recommended), or INDEXER may be
copied to the text disk via a file copying program. MAKE SURE
that enough room is left on the disk for the index, or the
program will crash. The finished index will be written to a file
named INDEX.DMP on the same disk as your manuscript and word
list, assuming they are on the logged drive.

  For those with fixed-storage drives, INDEXER may be copied to the
hard disk, which is likely to have the text and possibly the word
list files already on it. A formatted disk may be loaded on the
logged (A>) floppy drive, to receive the 'dump' file of the
generated index. This is the preferred method of using INDEXER,
so as not to clutter the hard drive with the index files, which
might be lost or may have to later be erased.

  The manuscript and word list can also be copied onto the
flexible-disk itself, which may help better organize one's
efforts by keeping all of the materials in one place. Also, if
more than one word list is used, such as if more than 1000 words
are necessary for the index, the words may be broken up into
groups, A-E, F-L, etc., then re-combined into the complete index
later.

  Important note: erase all leading and trailing banners, spaces,
and carriage returns from your word list, as are contained in the
file WORDS.IDX generated by the CONCORD program. If any words or
extraneous (including non-printing) characters are left in the
list, INDEXER will try to find them in the text file, resulting
in erroneous listings in the INDEX.DMP file when it is written to
disk.

  Once you have INDEXER and your text files (word list and
manuscript) inserted in the proper drives, you are ready to
begin. Assuming you are logged in on the A drive, with
INDEXER in B, after the A> prompt type

                       A>B:INDEXER

  When the program is loaded, the screen will clear, and the
heading and copyright notice will appear on the screen.
After about two seconds, the screen will again clear and
leave the following message:

               'File containing index words:'


  You may then enter the name of the file which contains the
WORD LIST. This may be on the same drive as the text, or
possibly on another. If NOT on the currently logged drive,
enter the appropriate drive letter, followed by a colon.
(Note the previous warning on directory paths in DOS).


If you have entered a file name that does not exist, or is
on another disk, INDEXER will respond with:

                    'Cannot find <filename>'
                    'Filename?'

until a legal file name or a carriage return has been
entered, which will abort the program.

  After entering the name of the word list, the list will be
read in from the disk and stored. When this is completed,
the screen will clear and the following message will appear:

              'Name of file to be indexed:'

  As with the word list, the text file may be on the logged drive
or another. If NOT on the logged drive, the file name must be
preceded by the drive letter and a colon (B:TXTFILE.MSS for
example). As with the word list file name, INDEXER will continue
requesting a valid filename if it cannot find the file you have
entered.

  When the file name has been entered and accepted, the
program will respond:

              'Indexing file <filename>'

  Then you will be asked:

    'Is this a WordStar-type file (Y/N)?'

  If you are using a word processor like WordStar, which sets
the parity bit 'high' for on-screen formatting, you must answer
with a 'Y' and RETURN. INDEXER will then make an intermediate file,
on the logged disk drive, called TEMPFILE.IDX. This is a copy of
your text file without the non-ASCII characters contained in the
original WordStar '.DOC' file.

  When the index is completed, the temporary file will be erased,
to allow room on the disk for the index to be written. Make sure
that sufficient room exists on the logged drive and user area for
this temporary file, which is the same size as your manuscript file.

  If your word processor does not use the parity bit for formatting
and produces normal ASCII characters, answer the above question
with an 'N' and RETURN. Your manuscript will be indexed directly,
without the need for the temporary file.

  The program will then ask:

    'Shall multiple entries on each page be included (Y/N)?'

  If you desire that a page number be listed for EVERY
occurrence of a particular word on each page, type a 'Y'.
Since there is a maximum of 12 entries for each word of the
index, you may fill up the index space allotted for that
word before the end of the text. (If the word is not very
common, this may be of no worry). Entering any letter other
than 'Y' (including RETURN) will cause only one entry per
page to be stored.

  After deciding whether or not to use the multiple-entry
option, INDEXER will next ask you:

 'Pagelength currently set at 52 lines. Change pagelength
(Y/N)?'

  If you do not wish to change the pagelength, enter an 'N'
or simply a carriage return to begin indexing. Otherwise
enter 'Y', then the number of lines (between 1 and 60) that
will determine a page. If a number larger than 60 is
entered, it will not be accepted.

  You will next be asked:

 'Eliminate the bell at each new page (Y/N)?'

Typing 'Y' will defeat the bell prompt, which may be
annoying if indexing by line or by shorter pages.

  The last option you will be asked to decide upon is
whether to ignore the case of the indexed words, that is,
should uppercase, lowercase and capitalized words of your
manuscript be indexed regardless of case, or treated
separately. If more than one form of a word exists in your
word list, INDEXER will search out each form of that word,
and index it separately. If you type a 'Y' in response to:

  'Find every word regardless of letter case (Y/N)?'

only one form of a word will be required in your word list
to find all cases in the manuscript. An 'N' or a carriage
return will index each word ONLY as it appears in your word
list.

  INDEXER will begin by outputting a bell (or whatever your
terminal uses for a bell) if enabled, and will print the
first page of the text on the screen, followed by the page
number. The program will then compare every word in the word
list to every line of text, storing the current page number
on the screen with the associated word. If your word list is
long, this can take up to a minute or longer per page, so be
patient. It is still far faster and more accurate than doing
it yourself!

  When a page has been completely searched, the bell will sound
and the next page will be output to the screen, until the end of
the text file has been reached. The index will then be written to
the screen, and at the same time it will be written to the
currently logged disk, as the file INDEX.DMP, for later
retrieval. At the beginning and end of the index, the name of the
indexed manuscript will be printed for your reference.

  Remember to rename INDEX.DMP before you create another
one, as the old contents will be lost.

  Now you are ready to begin indexing, so enjoy!

---------------------------------------------------------------------

                  INSTRUCTIONS FOR PARITY.COM

  For those using WordStar or other such word processors, which set
the parity bit high during on-screen formatting, an auxiliary program
called PARITY is included to clean up the non-ASCII* characters which
are left in the file. These characters are displayed as graphics-type
characters, making files created in the Document mode unreadable with
the DOS 'TYPE' command.

  PARITY allows your Document-mode files to be directly compatible
with our CONCORD and INDEXER programs, as well as with many other
text-processing programs. Document-mode files may be sent
directly to your printer without worrying about non-printing, or
erroneous graphics-type characters being introduced.

  To begin, just type PARITY.

  Enter the name of the file prepared with your WordStar-type editor;
  (a carriage return will return you to system level).

  Enter the name of the new file to be made in ASCII-only format.

  The program will then write the contents of your Document-mode file
to the file you have named, stripping the parity bit from each
character. The original file will be left intact, and the filtered
copy will be available for editing or printing.


*ASCII - American Society for Computer Information Interchange.

Note: ASCII characters are defined for the range 0 to 127 decimal,
(binary 00000000 to 01111111). Those characters above 127 are not
yet standardized, so manufacturers have been free to make a large
variety of displays utilizing this unassigned range. PARITY makes
sure this range of characters is not encountered.

---------------------------------------------------------------------

                        LIMITED WARRANTY

                   FOR: INDEX-MAKER DISK PC-1
                    CONCORD.COM, INDEXER.COM
                          PARITY.COM

THIS PROGRAM, INSTRUCTION MANUAL, AND REFERENCE MATERIALS ARE SOLD
"AS IS," WITHOUT WARRANTY AS TO THEIR PERFORMANCE, MERCHANTABILITY, OR
FITNESS FOR ANY PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE RESULTS
AND PERFORMANCE OF THIS PROGRAM IS ASSUMED BY YOU.

HOWEVER, TO THE ORIGINAL PURCHASER ONLY, THE PUBLISHER WARRANTS THE
MAGNETIC DISKETTE ON WHICH THIS PROGRAM IS RECORDED TO BE FREE FROM
DEFECTS IN MATERIALS AND FAULTY WORKMANSHIP UNDER NORMAL USE FOR A
PERIOD OF NINETY DAYS FROM THE DATE OF PURCHASE. IF DURING THIS
NINETY-DAY PERIOD THE DISKETTE SHOULD BECOME DEFECTIVE, IT MAY BE
RETURNED TO THE PUBLISHER FOR A REPLACEMENT WITHOUT CHARGE, PROVIDED
YOU HAVE PREVIOUSLY SENT IN YOUR LIMITED WARRANTY REGISTRATION CARD
TO THE PUBLISHER OR SEND PROOF OF PURCHASE OF THE PROGRAM.

YOUR SOLE AND EXCLUSIVE REMEDY IN THE EVENT OF A DEFECT IS EXPRESSLY
LIMITED TO REPLACEMENT OF THE DISKETTE AS PROVIDED ABOVE. IF FAILURE
OF A DISKETTE HAS RESULTED FROM ACCIDENT OR ABUSE THE PUBLISHER SHALL
HAVE NO RESPONSIBILITY TO REPLACE THE DISKETTE UNDER THE TERMS OF
THIS LIMITED WARRANTY.

ANY IMPLIED WARRANTIES RELATING TO THE DISKETTE, INCLUDING ANY IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE,
ARE LIMITED TO A PERIOD OF NINETY DAYS FROM DATE OF PURCHASE. PUBLISHER
SHALL NOT BE LIABLE FOR INDIRECT, SPECIAL, OR CONSEQUENTIAL DAMAGES
RESULTING FROM THE USE OF THIS PRODUCT. SOME STATES DO NOT ALLOW THE
EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES,
SO THE ABOVE LIMITATIONS MIGHT NOT APPLY TO YOU. THIS WARRANTY GIVES
YOU SPECIFIC LEGAL RIGHTS, AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH
VARY FROM STATE TO STATE.





                           ATTENTION!!
                  FOR THOSE COPYING THIS DISK:

  We have a somewhat novel approach to the distribution of our
software. We encourage those receiving this diskette to pass it
along to others for their approval.  If another person does like
the contents of the disk and copies it, he or she may register
their copy with Skyline Publishing by mail, and receive a
certificate of authorization, for $16.00.

  NO OTHER DUPLICATION, IN PART OR IN FULL, IS ALLOWED,
except that which is for the exclusive personal use of those
who own a registered disk.

  Otherwise, Index-Maker's three programs, CONCORD, INDEXER,
and PARITY, along with a detailed manual-on-disk and quick-
reference chart, are all available from Skyline on a certified
diskette for only $25.00 each. The price includes all postage and
handling. Specify Disk PC-1 when ordering.

THE DISTRIBUTOR OF THIS DISK IS:

                SKYLINE PUBLISHING CO.
                P. O. BOX 30
                TACOMA, WASHINGTON 98401-0030
